View Single Post
Old 09-14-2012, 04:00 PM   #31
ihor
Enthusiast
ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'ihor understands when you whisper 'The dog barks at midnight.'
 
Posts: 41
Karma: 42986
Join Date: Aug 2011
Location: Lviv, Ukraine
Device: Kindle DX Graphite
ixtab,

I had to download version 1.4 of JDK (because latest version of Oracle JDK did not want to compile with -target 1.4, telling me that 1.7 is incompatible with 1.4 - something like that).

I have some questions:

1) why are you telling me to change the name of the class from ReaderResources to ReaderResources_en ? I absolutely don't understand why. Are you sure I have to do this?

2) I am using Sun (Oracle) JDK 1.4 downloaded from here:
http://www.oracle.com/technetwork/ja...4.2_30-sol-JPR

there is a file j2sdk-1_4_2_19-windows-i586-p.exe which I installed, then I put PATH to contain folder C:\j2sdk1.4.2_19\bin\.

Then I used command

javac -target 1.4 -classpath C:\Projects\opt\amazon\ebook\lib\framework-api.jar com\amazon\ebook\booklet\reader\resources\ReaderRe sources_en.java

(the dir c:\opt is a full copy of opt dir from kindle). Command worked without any errors.

Question: did I select the proper JDK and do I use proper command to compile? are there any other options that should be specified?
ihor is offline   Reply With Quote